#Embedded file name: D:\InunxLABS\PythonS60\SimpleServer\version\full\ext\1.02.72_224636\ServerMain.py
import os
import e32
import zlib
import time
import base64
import random
import appuifw
#import globalui
import ServerInfo
import ServerDaemon
import ServerMainUI
ru = lambda text: text.decode('utf-8', 'ignore')
ur = lambda text: text.encode('utf-8', 'ignore')

class RunSimpleServer:

    def __init__(self):
        self.app_data, self.core_data = zlib.decompress(base64.b64decode('eJxLLChISSxJ1EvKzFNNzi9KhXEAcjwJEg==')).split('%')
        self.app_uid = ServerInfo.Info('uid').get_info()[2:]
        self.app_year = int(ServerInfo.Info('date').get_info().split('/')[2])
        self.now_year = int(time.localtime()[0])
        self.work_path = os.getcwd().rsplit('\\', 1)[0]
        self.key_val = ServerMainUI.Validate()

        #self.ui = ServerMainUI.MainUI() try
        self.daemon = ServerDaemon.DaemonStart()
        self.rand = random.randint(600, 1800)
        self.timer = e32.Ao_timer()
        self.first_run = False
        self.get_text = ''

    def register(self):
        appuifw.note(ru('Please register application'))
        appuifw.app.title = ru('Input Register Key :')
        self.bodi_text = appuifw.Text()
        self.bodi_text.font = ('title', 18, None)
        self.bodi_text.color = 0
        appuifw.app.body = self.bodi_text
        self.bodi_text.add(ru(self.get_text))
        appuifw.app.menu = [(ru('Register'), lambda : self.textasc()), (ru('Trial'), lambda : self.trial()), (ru('Exit'), lambda : os.abort())]
        appuifw.app.exit_key_handler = lambda : self.exit()
        return None

    def start(self):
        self.clean()
        #if self.check():
            #if self.key_val.test():
                #if self.first_run:
                    #appuifw.note(ru('Registered application'), 'conf')
        #self.ui.body_app(True)
        #self.ui.sets_app(True)
        self.daemon.start(True)
            #else:
                #if self.first_run:
                  #  appuifw.note(ru('Invalid register key!'), 'error')
               # else:
                  #  ServerMainUI.MainUI().about_app()
                 #   self.first_run = True
               # self.register()
      #  else:
         #   self.error()


    def trial(self):
        if self.app_year == self.now_year:
            self.key_val.trial()
            if self.key_val.test():
                self.ui.body_app(True)
                self.ui.sets_app(True)
                self.daemon.start(True)
                self.timer.after(self.rand, lambda : self.end())
            else:
                self.error()
        else:
            self.exp()

    def textasc(self):
        try:
            ur(self.bodi_text.get()).decode('ascii')
            self.update()
        except:
            appuifw.note(ru('Invalid charset!'), 'error')

    def update(self):
        self.get_text = ur(self.bodi_text.get()).replace(' ', '')
        if self.get_text:
            appuifw.note(ru('Updating register key...'), 'info')
            try:
                open(ru('%s.key' % self.key_val.imei), 'wb').write(self.get_text)
                self.key_val = ServerMainUI.Validate()
                self.start()
            except:
                appuifw.note(ru('Updating register key failed!'), 'error')
                os.abort()

    def check(self):
        if ur(self.work_path).upper() == self.app_uid:
            try:
                zlib.decompress(open(self.app_data, 'rb').read(16))
                return True
            except:
                return False

        else:
            return False

    def clean(self):
        try:
            self.data.get_data()
            os.remove(self.core_data)
        except:
            pass

    def exp(self):
        print 'Trial expired'

    def exit(self):
        if appuifw.query(ru('Exit application?'), 'query'):
            os.abort()

    def end(self):
        print 'Trial timeout'
        os.abort()

    def error(self):
        print 'Unexception error!'
        os.abort()
