# Embedded file name: D:\InunxLABS\PythonS60\SimpleServer\version\full\ext\1.02.72_224636\ServerPublicIP.py
import sys
import time
import urllib2
import ServerConfig
try:
    import ServerMainUI
    Key = ServerMainUI
except:
    import ServerReg
    Key = ServerReg

def LogWindow(flag = False):
    global logs
    logs = flag


class GetPublicIP:

    def __init__(self):
        self.url = 'http://cmyip.com/'
        self.sets = ServerConfig.Sets()

    def result(self):
        request = urllib2.Request(self.url)
        request.add_header('Accept-Encoding', 'identity, *;q=0')
        request.add_header('Connection', 'close')
        proxy_handler = urllib2.ProxyHandler({'http': '%s:%s' % ('127.0.0.1', self.sets.LPORT)})
        opener = urllib2.build_opener(proxy_handler)
        urllib2.install_opener(opener)
        try:
            resp = urllib2.urlopen(request)
            try:
                d = resp.read().splitlines()
                t = ''
                for h in d:
                    if str(h).startswith('\t') and str(h).endswith('</h1></td>'):
                        h = h.replace('</h1></td>', '').strip().split(';')
                        for i in h:
                            m = i.find('&#')
                            if m == 0:
                                t = '%s%s' % (t, unichr(int(i[2:])))
                            elif m != -1:
                                t = '%s%s%s' % (t, i[:m], unichr(int(i[m + 2:])))
                            else:
                                t = '%s%s' % (t, i)

                if t:
                    return t
                else:
                    return 'No data'
            except:
                return 'Invalid data'

        except:
            return 'Unable to connect'

    def logger(self, data = '', timer = ''):
        if logs:
            sys.stderr.write('+++Receive TestIP+++\r\nInfo: %s\r\nTime: %ss\r\n\r\n' % (data, timer))

    def check(self):
        try:
            if Key.Validate().test():
                timer = time.time()
                if self.result():
                    self.logger(str(self.result()), str(time.time() - timer)[:5])
        except:
            pass