# Embedded file name: D:\InunxLABS\PythonS60\SimpleServer\version\full\ext\1.02.72_224636\appuifw.py
#import appuifw
from appuifw import *

class Canvas(object):

    def __init__(self, redraw_callback = None, event_callback = None, resize_callback = None):
        c = _appuifw.Canvas(redraw_callback, event_callback, resize_callback)
        self._canvas = c
        self._uicontrolapi = c._uicontrolapi
        self._drawapi = c._drawapi
        from graphics import _graphics
        self._draw = _graphics.Draw(self)
        self.bind = c.bind
        for k in _graphics._draw_methods:
            setattr(self, k, getattr(self._draw, k))

    size = property(lambda self: self._canvas.size)


__all__ = ('Canvas', 'Form', 'Listbox', 'Text', 'Icon', 'Content_handler', 'app', 'multi_query', 'note', 'popup_menu', 'query', 'selection_list', 'multi_selection_list', 'available_fonts', 'touch_enabled', 'EEventKeyUp', 'EEventKeyDown', 'EEventKey', 'FFormAutoFormEdit', 'FFormAutoLabelEdit', 'FFormDoubleSpaced', 'FFormEditModeOnly', 'FFormViewModeOnly', 'STYLE_BOLD', 'STYLE_ITALIC', 'STYLE_STRIKETHROUGH', 'STYLE_UNDERLINE', 'HIGHLIGHT_STANDARD', 'HIGHLIGHT_ROUNDED', 'HIGHLIGHT_SHADOW')
import e32
#if e32.s60_version_info >= (2, 8):
__all__ += ('EScreen', 'EApplicationWindow', 'EStatusPane', 'EMainPane', 'EControlPane', 'ESignalPane', 'EContextPane', 'ETitlePane', 'EBatteryPane', 'EUniversalIndicatorPane', 'ENaviPane', 'EFindPane', 'EWallpaperPane', 'EIndicatorPane', 'EAColumn', 'EBColumn', 'ECColumn', 'EDColumn', 'EStaconTop', 'EStaconBottom', 'EStatusPaneBottom', 'EControlPaneBottom', 'EControlPaneTop', 'EStatusPaneTop')
