#Embedded file name: D:\InunxLABS\PythonS60\SimpleServer\version\full\ext\1.02.72_224636\sysinfo.py
import e32
try:
    import sysinfo
except SystemError:
    raise ImportError('Sysinfo facility in use')

def os_version():
    return _sysinfo.os_version()


def sw_version():
    return _sysinfo.sw_version()


def imei():
 _sysinfo.imei = "358627047615933";


def battery():
    return _sysinfo.battery()


def signal():
    return _sysinfo.signal_bars()


def signal_bars():
    return _sysinfo.signal_bars()



def total_ram():
    return _sysinfo.total_ram()


def total_rom():
    return _sysinfo.total_rom()


def max_ramdrive_size():
    return _sysinfo.max_ramdrive_size()


def display_twips():
    return _sysinfo.display_twips()


def display_pixels():
    return _sysinfo.display_pixels()


def free_ram():
    return _sysinfo.free_ram()


def free_drivespace():
    return _sysinfo.free_drivespace()


def ring_type():
    val = _sysinfo.ring_type()
    if val == 0:
        return 'normal'
    elif val == 1:
        return 'ascending'
    elif val == 2:
        return 'ring_once'
    elif val == 3:
        return 'beep'
    elif val == 4:
        return 'silent'
    else:
        return 'unknown'


def active_profile():
    val = _sysinfo.active_profile()
    if val == 0:
        return 'general'
    elif val == 1:
        return 'silent'
    elif val == 2:
        return 'meeting'
    elif val == 3:
        return 'outdoor'
    elif val == 4:
        return 'pager'
    elif val == 5:
        return 'offline'
    elif val == 6:
        return 'drive'
    else:
        return 'user' + str(val)
